> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Risk Details

> Use this API to submit comprehensive risk assessment data for an order to Cashfree's risk management system. The API accepts customer details, device information, and industry-specific transaction data for enhanced fraud detection and risk analysis.




## OpenAPI

````yaml /openapi/payments/risk-details.yaml post /risk-details
openapi: 3.0.3
info:
  title: Risk Details API
  version: 1.0.0
  description: >-
    Use this API to submit comprehensive risk assessment data for an order to
    Cashfree's risk management system. Include customer details, device
    information, and industry-specific transaction data for categories such as
    flight, lodging, ecommerce, and SaaS.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Cashfree Sandbox Environment
security: []
paths:
  /risk-details:
    post:
      summary: Submit risk details for an order
      description: >
        Use this API to submit comprehensive risk assessment data for an order
        to Cashfree's risk management system. The API accepts customer details,
        device information, and industry-specific transaction data for enhanced
        fraud detection and risk analysis.
      operationId: submitRiskDetails
      parameters:
        - in: header
          name: x-client-id
          schema:
            type: string
          required: true
          description: >-
            Client app ID. You can find your app id in the [Merchant
            Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
          example: TEST10239567bfbbe3100990da88baa376593201
        - in: header
          name: x-client-secret
          schema:
            type: string
          required: true
          description: >-
            Client secret key. You can find your secret key in the [Merchant
            Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
          example: cfsk_ma_test_28c0e957451ae15c5c26fcac19332ad4_0100595f
        - in: header
          name: x-api-version
          schema:
            type: string
          required: true
          description: API version to be used. Format is in YYYY-MM-DD.
          example: '2025-01-01T00:00:00.000Z'
        - in: header
          name: x-request-id
          schema:
            type: string
          required: true
          description: >-
            Request ID for the API call. Can be used to resolve tech issues.
            Communicate this in your tech related queries to Cashfree.
          example: ayush-1237
        - in: header
          name: Accept
          schema:
            type: string
          description: Content type that the client can accept.
          example: application/json
        - in: header
          name: Content-Type
          schema:
            type: string
          description: Content type of the request body.
          example: application/json
      requestBody:
        required: true
        description: Request parameters for submitting risk details.
        content:
          application/json:
            schema:
              type: object
              required:
                - merchant_order_id
                - customer_details
                - device_fingerprint
                - risk_controls
                - industries
              properties:
                merchant_order_id:
                  type: string
                  description: Unique identifier for the merchant order.
                  example: swapnil127
                customer_details:
                  type: object
                  description: Customer information for risk assessment.
                  properties:
                    customer_name:
                      type: string
                      description: Full name of the customer.
                    customer_login_status:
                      type: string
                      enum:
                        - logged_in
                        - guest
                      description: Login status of the customer at the time of transaction.
                    customer_email:
                      type: string
                      format: email
                      description: Email address of the customer.
                    customer_phone:
                      type: string
                      pattern: ^[0-9]{10}$
                      description: 10-digit phone number of the customer.
                  example:
                    customer_name: Swapnil B
                    customer_login_status: logged_in
                    customer_email: test@example.com
                    customer_phone: '9876543210'
                device_fingerprint:
                  type: object
                  description: Device and browser information for fraud detection.
                  required:
                    - uuid
                    - browser
                    - ip
                  properties:
                    uuid:
                      type: string
                      description: Unique device identifier.
                      example: ibasidb-2oj31i2j-kjbskd
                    browser:
                      type: object
                      description: Browser-specific information.
                      properties:
                        java_enabled:
                          type: boolean
                          description: Indicates whether Java is enabled in the browser.
                        javascript_enabled:
                          type: boolean
                          description: >-
                            Indicates whether JavaScript is enabled in the
                            browser.
                        timezone_offset:
                          type: integer
                          description: Timezone offset from UTC in minutes.
                        color_depth:
                          type: integer
                          description: >-
                            Number of bits used to represent color on the
                            screen.
                        screen_width:
                          type: integer
                          description: Screen width in pixels.
                        screen_height:
                          type: integer
                          description: Screen height in pixels.
                        referer:
                          type: string
                          description: >-
                            URL of the page that referred the user to the
                            current page.
                        user_agent:
                          type: string
                          description: User agent string from the browser.
                        session_duration:
                          type: integer
                          description: Duration of the user session in seconds.
                      example:
                        java_enabled: false
                        javascript_enabled: false
                        timezone_offset: 11
                        color_depth: 23
                        screen_width: 23
                        screen_height: 100
                        referer: https://merchansite.com/example/paybill
                        user_agent: Mozilla/5.0
                        session_duration: 1200
                    ip:
                      type: string
                      format: ipv4
                      description: IP address of the customer's device.
                      example: 105.106.107.108
                risk_controls:
                  type: object
                  description: Risk control preferences for the transaction.
                  properties:
                    preferred_non_3ds:
                      type: boolean
                      description: Preference for non-3DS authentication when possible.
                    step_up_3ds:
                      type: boolean
                      description: >-
                        Preference for stepping up to 3DS authentication when
                        needed.
                    cbp_coverage_requested:
                      type: boolean
                      description: Request for chargeback protection coverage.
                  example:
                    preferred_non_3ds: false
                    step_up_3ds: true
                    cbp_coverage_requested: true
                metadata:
                  type: object
                  description: Additional metadata for the transaction.
                  additionalProperties:
                    type: string
                  example:
                    metadata_key_1: metadata_value_1
                    metadata_key_2: metadata_value_2
                industries:
                  type: array
                  description: Industry-specific transaction details.
                  items:
                    type: object
                    required:
                      - industry_type
                      - industry_details
                    properties:
                      industry_type:
                        type: string
                        enum:
                          - flight
                          - lodging
                          - ecommerce
                          - saas
                        description: Type of industry for the transaction.
                      industry_details:
                        type: object
                        description: Detailed information specific to the industry type.
                        oneOf:
                          - $ref: '#/components/schemas/FlightIndustry'
                          - $ref: '#/components/schemas/LodgingIndustry'
                          - $ref: '#/components/schemas/EcommerceIndustry'
                          - $ref: '#/components/schemas/SaasIndustry'
            example:
              merchant_order_id: swapnil127
              customer_details:
                customer_name: Swapnil B
                customer_login_status: logged_in
                customer_email: test@example.com
                customer_phone: '9876543210'
              device_fingerprint:
                uuid: ibasidb-2oj31i2j-kjbskd
                browser:
                  java_enabled: false
                  javascript_enabled: false
                  timezone_offset: 11
                  color_depth: 23
                  screen_width: 23
                  screen_height: 100
                  referer: https://merchansite.com/example/paybill
                  user_agent: Mozilla/5.0
                  session_duration: 1200
                ip: 105.106.107.108
              risk_controls:
                preferred_non_3ds: false
                step_up_3ds: true
                cbp_coverage_requested: true
              industries:
                - industry_type: flight
                  industry_details:
                    billing_address:
                      address_line_1: 123 Street
                      city: New York City
                      state: New York
                      country: USA
                      zipcode: 11001
                    guests:
                      - name: Swapnil Buchke
                        age: 26
                        class: Economy
                        nationality: Indian
                        relationship_with_primary: self
                      - name: Kushagra Sahni
                        age: 26
                        class: Economy
                        nationality: Indian
                        relationship_with_primary: sibling
                    itinerary:
                      - departure_airport: BOM
                        arrival_airport: DEL
                        departure_date: '2025-10-15T00:00:00.000Z'
                        total_segments: 1
                        flight_numbers:
                          - AI-101
                        addons:
                          concierge: true
                          luggage: true
                          meals: true
                          delay_protection: false
                          travel_insurance: true
                          seats: true
                    fare_details:
                      base_fare: '10000'
                      offer_fare: '9200'
                      promo_used: true
      responses:
        '200':
          description: Success response for submitting risk details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the request indicating success.
                    example: SUCCESS
                  message:
                    type: string
                    description: >-
                      Confirmation message indicating the risk details were
                      successfully accepted.
                    example: Risk details accepted
        '400':
          description: Invalid request or missing parameters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Status of the request indicating an error due to invalid
                      input.
                    example: ERROR
                  message:
                    type: string
                    description: >-
                      Error message describing the specific validation failure
                      or missing parameter.
                    example: Invalid request or missing parameters.
        '401':
          description: Authentication failure.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the request indicating authentication failure.
                    example: UNAUTHORIZED
                  message:
                    type: string
                    description: >-
                      Error message indicating authentication credentials are
                      invalid or missing.
                    example: Authentication failure
        '500':
          description: Server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the request indicating an internal server error.
                    example: ERROR
                  message:
                    type: string
                    description: >-
                      Error message indicating an unexpected server-side issue
                      occurred.
                    example: Server error
components:
  schemas:
    FlightIndustry:
      type: object
      description: Flight booking specific information.
      properties:
        billing_address:
          $ref: '#/components/schemas/Address'
        guests:
          type: array
          description: List of passengers for the flight.
          items:
            $ref: '#/components/schemas/Guest'
        itinerary:
          type: array
          description: Flight itinerary details.
          items:
            type: object
            properties:
              departure_airport:
                type: string
                description: IATA code of the departure airport.
              arrival_airport:
                type: string
                description: IATA code of the arrival airport.
              departure_date:
                type: string
                format: date
                description: Date of departure in YYYY-MM-DD format.
              total_segments:
                type: integer
                description: Total number of flight segments.
              flight_numbers:
                type: array
                description: List of flight numbers.
                items:
                  type: string
              addons:
                type: object
                description: Additional services selected.
                properties:
                  concierge:
                    type: boolean
                    description: Indicates whether concierge service is selected.
                  luggage:
                    type: boolean
                    description: Indicates whether additional luggage is selected.
                  meals:
                    type: boolean
                    description: Indicates whether meal service is selected.
                  delay_protection:
                    type: boolean
                    description: Indicates whether delay protection is selected.
                  travel_insurance:
                    type: boolean
                    description: Indicates whether travel insurance is selected.
                  seats:
                    type: boolean
                    description: Indicates whether seat selection is included.
        fare_details:
          type: object
          description: Fare and pricing information.
          properties:
            base_fare:
              type: string
              description: Base fare amount before discounts.
            offer_fare:
              type: string
              description: Final fare amount after discounts.
            promo_used:
              type: boolean
              description: Indicates whether promotional offers were applied.
    LodgingIndustry:
      type: object
      description: Hotel booking specific information.
      properties:
        billing_address:
          $ref: '#/components/schemas/Address'
        guests:
          type: array
          description: List of guests for the hotel stay.
          items:
            $ref: '#/components/schemas/Guest'
        itinerary:
          type: array
          description: Hotel stay details.
          items:
            type: object
            properties:
              hotel_details:
                type: object
                description: Information about the hotel.
                properties:
                  hotel_name:
                    type: string
                    description: Name of the hotel.
                  hotel_brand:
                    type: string
                    description: Brand or chain of the hotel.
                  check_in_date:
                    type: string
                    format: date
                    description: Check-in date in YYYY-MM-DD format.
                  check_out_date:
                    type: string
                    format: date
                    description: Check-out date in YYYY-MM-DD format.
                  number_of_rooms:
                    type: integer
                    description: Number of rooms booked.
                  room_type:
                    type: array
                    description: Types of rooms booked.
                    items:
                      type: string
                  hotel_address:
                    $ref: '#/components/schemas/Address'
              fare_details:
                type: object
                description: Pricing information for the stay.
                properties:
                  base_fare:
                    type: string
                    description: Base room rate before discounts.
                  offer_fare:
                    type: string
                    description: Final rate after discounts.
                  promo_used:
                    type: boolean
                    description: Indicates whether promotional offers were applied.
              addons:
                type: object
                description: Additional hotel services.
                properties:
                  early_checkin:
                    type: boolean
                    description: Indicates whether early check-in is requested.
                  late_checkout:
                    type: boolean
                    description: Indicates whether late check-out is requested.
                  breakfast:
                    type: boolean
                    description: Indicates whether breakfast is included.
    EcommerceIndustry:
      type: object
      description: Ecommerce transaction specific information.
      properties:
        cart_items:
          type: array
          description: List of items in the shopping cart.
          items:
            type: object
            properties:
              sku:
                type: string
                description: Stock keeping unit identifier.
              name:
                type: string
                description: Product name.
              quantity:
                type: integer
                description: Quantity of the product.
              price:
                type: number
                description: Unit price of the product.
        cart_value:
          type: number
          description: Total value of all items in the cart.
        shipping_address:
          $ref: '#/components/schemas/Address'
        billing_address:
          $ref: '#/components/schemas/Address'
        payment_method:
          type: string
          description: Payment method used for the transaction.
        coupon_codes:
          type: array
          description: List of coupon codes applied to the order.
          items:
            type: string
    SaasIndustry:
      type: object
      description: Software as a Service subscription information.
      properties:
        subscription_plan:
          type: string
          description: Name or tier of the subscription plan.
        user_count:
          type: integer
          description: Number of users included in the subscription.
        billing_cycle:
          type: string
          enum:
            - monthly
            - yearly
          description: Billing frequency for the subscription.
        trial_status:
          type: boolean
          description: Indicates whether the subscription is in trial period.
        features_requested:
          type: array
          description: List of features included in the subscription.
          items:
            type: string
        payment_method:
          type: string
          description: Payment method used for the subscription.
    Address:
      type: object
      description: Address information.
      properties:
        address_line_1:
          type: string
          description: First line of the address.
        city:
          type: string
          description: City name.
        state:
          type: string
          description: State or province name.
        country:
          type: string
          description: Country name.
        zipcode:
          type: string
          description: Postal code or ZIP code.
    Guest:
      type: object
      description: Guest information for travel bookings.
      properties:
        name:
          type: string
          description: Full name of the guest.
        age:
          type: integer
          description: Age of the guest in years.
        class:
          type: string
          description: Travel class or room type.
        nationality:
          type: string
          description: Nationality of the guest.
        relationship_with_primary:
          type: string
          description: Relationship with the primary booker.

````